package com.ics.admin.service.meeting;

import com.ics.admin.domain.meeting.RoomItem;
import com.ics.admin.domain.meeting.RoomItemByRoom;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * 房间物品关联Service接口
 * 
 * @author chen
 * @date 2024-02-25
 */
public interface IRoomItemByRoomService extends IService<RoomItemByRoom> {
    /**
     * 查询房间物品关联
     * 
     * @param id 房间物品关联ID
     * @return 房间物品关联
     */
    RoomItemByRoom selectRoomItemByRoomById(Long id);

    /**
     * 查询房间物品关联列表
     * 
     * @param roomItemByRoom 房间物品关联
     * @return 房间物品关联集合
     */
    List<RoomItemByRoom> selectRoomItemByRoomList(RoomItemByRoom roomItemByRoom);

    /**
     * 新增房间物品关联
     * 
     * @param roomItemByRoom 房间物品关联
     * @return 结果
     */
    int insertRoomItemByRoom(RoomItemByRoom roomItemByRoom);

    /**
     * 修改房间物品关联
     * 
     * @param roomItemByRoom 房间物品关联
     * @return 结果
     */
    int updateRoomItemByRoom(RoomItemByRoom roomItemByRoom);

    /**
     * 批量删除房间物品关联
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteRoomItemByRoomByIds(String ids);

    /**
     * 删除房间物品关联信息
     * 
     * @param id 房间物品关联ID
     * @return 结果
     */
    int deleteRoomItemByRoomById(Long id);

    List<RoomItemByRoom> selectRoomContent(List<Long> collect, int size);
}
